Bug 432004 - cannot build without selinux
cannot build without selinux
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Radek Brich
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 07:05 EST by JW
Modified: 2008-03-19 08:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-19 08:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2008-02-08 07:05:17 EST
Description of problem:
if selinux is installed on build system, then there is no option to disable selinux

Version-Release number of selected component (if applicable):
tar-1.17-3

How reproducible:
Always

Steps to Reproduce:
1. read configure.ac
2. read tar.spec

  
Actual results:
no option to disable selinux

Expected results:
should contain "--with-selinux" and "--without-selinux" options

Additional info:
RH, you will end up like SCO if you keep going down this path!!
Comment 1 Radek Brich 2008-02-12 09:41:50 EST
I don't understand. There is a runtime option to enable storing of SELinux
attributes and these attributes are ignored by default. SELinux-enabled tar
should not do any harm if the option is not given.

So, why should anyone need to build alternative tar without SELinux?
If there is some specific problem with SELinux support, please report the bug.
Thank you.

Closing as NOTABUG...
Comment 2 JW 2008-02-12 16:35:02 EST
What harm would be done by making linkage with SElinux optional?  Instead of
just depending on runtime library detection.

Many other packages do the right thing.  What is so special about tar that it
needs to implement a half-baked selinux configure?

Why not implement --with-selinux?  What is the problem with doing that?


Comment 3 Will Woods 2008-02-12 16:52:35 EST
SELinux code is not present in upstream tar. It's all added by
tar-1.17-xattrs-conf.patch and tar-1.17-xattrs.patch. If you want to build
without SELinux support, don't apply those patches. 
Comment 4 Radek Brich 2008-03-19 08:36:05 EDT
(In reply to comment #3)
> SELinux code is not present in upstream tar. It's all added by
> tar-1.17-xattrs-conf.patch and tar-1.17-xattrs.patch. If you want to build
> without SELinux support, don't apply those patches. 

Yes, no need for new configure option until the patches are in upstream.

Closing this again...

Note You need to log in before you can comment on or make changes to this bug.